---
updatedAt: 2026-05-27T08:50:48.000Z
agentTools:
  projectIndex: https://docs.tatum.io/llms.txt
---

# Get node network peers

Retrieves data about the node's network peers. By default this returns all peers. Multiple query params are combined using AND conditions

# OpenAPI definition

```json
{
  "paths": {
    "/eth/v1/node/peers": {
      "get": {
        "operationId": "rpc-ethereum-getPeers",
        "tags": [
          "Ethereum - Beacon REST API"
        ],
        "summary": "Get node network peers",
        "description": "Retrieves data about the node's network peers. By default this returns all peers. Multiple query params are combined using AND conditions",
        "parameters": [
          {
            "name": "state",
            "in": "query",
            "required": false,
            "schema": {
              "type": "array",
              "uniqueItems": true,
              "items": {
                "type": "string",
                "enum": [
                  "disconnected",
                  "connecting",
                  "connected",
                  "disconnecting"
                ]
              }
            }
          },
          {
            "name": "direction",
            "in": "query",
            "required": false,
            "schema": {
              "type": "array",
              "uniqueItems": true,
              "items": {
                "type": "string",
                "enum": [
                  "inbound",
                  "outbound"
                ]
              }
            }
          }
        ],
        "responses": {
          "200": {
            "description": "Request successful",
            "content": {
              "application/json": {
                "schema": {
                  "title": "GetPeersResponse",
                  "type": "object",
                  "required": [
                    "data",
                    "meta"
                  ],
                  "properties": {
                    "data": {
                      "type": "array",
                      "items": {
                        "type": "object",
                        "required": [
                          "peer_id",
                          "enr",
                          "last_seen_p2p_address",
                          "state",
                          "direction"
                        ],
                        "properties": {
                          "peer_id": {
                            "type": "string",
                            "description": "Cryptographic hash of a peer’s public key. [Read more](https://docs.libp2p.io/concepts/peer-id/)",
                            "example": "QmYyQSo1c1Ym7orWxLYvCrM2EmxFTANf8wXmmE7DWjhx5N"
                          },
                          "enr": {
                            "oneOf": [
                              {
                                "type": "null"
                              },
                              {
                                "type": "string",
                                "description": "Ethereum node record. [Read more](https://eips.ethereum.org/EIPS/eip-778)",
                                "example": "enr:-IS4QHCYrYZbAKWCBRlAy5zzaDZXJBGkcnh4MHcBFZntXNFrdvJjX04jRzjzCBOonrkTfj499SZuOh8R33Ls8RRcy5wBgmlkgnY0gmlwhH8AAAGJc2VjcDI1NmsxoQPKY0yuDUmstAHYpMa2_oxVtw0RW_QAdpzBQA8yWM0xOIN1ZHCCdl8"
                              }
                            ]
                          },
                          "last_seen_p2p_address": {
                            "description": "Multiaddrs used in last peer connection.",
                            "type": "string",
                            "example": "/ip4/7.7.7.7/tcp/4242/p2p/QmYyQSo1c1Ym7orWxLYvCrM2EmxFTANf8wXmmE7DWjhx5N"
                          },
                          "state": {
                            "type": "string",
                            "enum": [
                              "disconnected",
                              "connecting",
                              "connected",
                              "disconnecting"
                            ]
                          },
                          "direction": {
                            "type": "string",
                            "enum": [
                              "inbound",
                              "outbound"
                            ]
                          }
                        }
                      }
                    },
                    "meta": {
                      "type": "object",
                      "required": [
                        "count"
                      ],
                      "properties": {
                        "count": {
                          "description": "Total number of items",
                          "type": "number",
                          "example": 1
                        }
                      }
                    }
                  }
                }
              }
            }
          },
          "500": {
            "description": "Beacon node internal error.",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "required": [
                    "code",
                    "message"
                  ],
                  "properties": {
                    "code": {
                      "description": "Either specific error code in case of invalid request or http status code",
                      "type": "number",
                      "example": 404
                    },
                    "message": {
                      "description": "Message describing error",
                      "type": "string"
                    },
                    "stacktraces": {
                      "description": "Optional stacktraces, sent when node is in debug mode",
                      "type": "array",
                      "items": {
                        "type": "string"
                      }
                    }
                  }
                },
                "example": {
                  "code": 500,
                  "message": "Internal server error"
                }
              }
            }
          }
        },
        "security": [
          {
            "X-API-Key": []
          }
        ]
      }
    }
  },
  "openapi": "3.1.0",
  "info": {
    "title": "Eth Beacon Node API",
    "description": "API specification for the beacon node, which enables users to query and participate in Ethereum 2.0 phase 0 beacon chain.\n\nAll requests by default send and receive JSON, and as such should have either or both of the \"Content-Type: application/json\"\nand \"Accept: application/json\" headers.  In addition, some requests can send and receive data in the SSZ format.  The header\n\"Content-Type: application/octet-stream\" should be set in requests that contain SSZ data; a preference to receive SSZ data in\nresponse can be indicated by setting the \"Accept: application/octet-stream;q=1.0,application/json;q=0.9\" header.  Note that\nonly a subset of requests can respond with data in SSZ format; these are noted in each individual request.\n\nWhen handling requests, the server should return a 415 status code if the \"Content-Type\" header in the request specifies a format\nthat is not supported.  Similarly, it should return a 406 status code if it cannot produce a response in the format accepted by\nthe client as specified in the \"Accept\" header; if no \"Accept\" header is provided then it is assumed to be \"application/json\".\nIn any case, the server should indicate the format of the response by setting the corresponding \"Content-Type\" header.\n\nAPI endpoints are individually versioned.  As such, there is no direct relationship between all v1 endpoints, all v2 endpoints,\n_etc._ and no such relationship should be inferred.  All JSON responses return the requested data under a `data` key in the top\nlevel of their response.  Additional metadata may or may not be present in other keys at the top level of the response, dependent\non the endpoint.  The rules that require an increase in version number are as follows:\n\n  - no field that is listed in an endpoint shall be removed without an increase in the version number\n  - no field that is listed in an endpoint shall be altered in terms of format (_e.g._ from a string to an array) without an\n    increase in the version number\n\nNote that it is possible for a field to be added to an endpoint's data or metadata without an increase in the version number.\n",
    "version": "v3.0.0 - Ethereum Proof-of-Stake Consensus Specification v1.5.0",
    "contact": {
      "name": "Ethereum Github",
      "url": "https://github.com/ethereum/beacon-apis/issues"
    },
    "license": {
      "name": "CC0-1.0",
      "url": "https://creativecommons.org/publicdomain/zero/1.0/"
    }
  },
  "components": {
    "securitySchemes": {
      "X-API-Key": {
        "type": "apiKey",
        "name": "x-api-key",
        "in": "header",
        "description": "Your **API key** is used to identify your account & your plan, including the number of API calls per second and total monthly calls you have.\n\nEach key is for individual use only.\n\nIf you don't have a key already you can [Sign up for a Free Tatum account](https://co.tatum.io/signup) to get two keys (testnet and mainnet), allowing up to 5 API calls per second and 1,000,000 Credits.\n\nFor testing purposes, you can use the following key which only works inside docs and has limited functionality (e.g. you cannot create virtual accounts or notification subscriptions with it):\n* t-66a730ccccfd17001c479705-2f597d14ad7543f289a03418\n\nFor more details on limits and plans, [click here](https://docs.tatum.io/docs/plans-limits).\n"
      }
    }
  },
  "servers": [
    {
      "url": "https://{network-ethereum}.gateway.tatum.io",
      "description": "RPC Gateway - Recommended",
      "variables": {
        "network-ethereum": {
          "default": "ethereum-hoodi",
          "enum": [
            "ethereum-hoodi",
            "ethereum-mainnet",
            "ethereum-sepolia"
          ]
        }
      }
    },
    {
      "url": "https://api.tatum.io/v3/blockchain/node/{network-ethereum}",
      "description": "Deprecated",
      "variables": {
        "network-ethereum": {
          "default": "ethereum-hoodi",
          "enum": [
            "ethereum-hoodi",
            "ethereum-mainnet",
            "ethereum-sepolia"
          ]
        }
      }
    }
  ]
}
```